Bug 155533 - [PATCH] update add profiles support to init script for databases/memcached
Summary: [PATCH] update add profiles support to init script for databases/memcached
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-13 16:20 UTC by Steve Wills
Modified: 2011-07-01 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.96 KB, patch)
2011-03-13 16:20 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2011-03-13 16:20:09 UTC
The init script for databases/memcached doesn't allow you to run multiple copies, and if multiple copies are running on the system, it kills them when you restart, even if some of them were started by users. The attach patch changes this so that the init script supports "profiles" for running multiple copies, much the same way the apache init script does. Also, it adds pid file support so that it doesn't kill things that don't belong to it. You can of course still use it without using profiles too, but the pid file support is still there. Had to create a directory to store the pid files in since the nobody user doesn't have write permission to /var/run.

Fix: See attached.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-13 16:20:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sahil Tandon freebsd_committer 2011-05-08 06:22:57 UTC
Responsible Changed
From-To: mnag->swills

committer/maintainer timeout; over to submitter who has a commit bit.
Comment 3 Steve Wills freebsd_committer 2011-07-01 23:33:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2011-07-01 23:33:25 UTC
swills      2011-07-01 22:33:09 UTC

  FreeBSD ports repository

  Modified files:
    databases/memcached  Makefile 
    databases/memcached/files memcached.in 
  Log:
  - add profiles support to init script
  
  PR:             ports/155533
  Submitted by:   swills
  Approved by:    maintainer timeout (mnag)
  
  Revision  Changes    Path
  1.48      +4 -2      ports/databases/memcached/Makefile
  1.5       +52 -2     ports/databases/memcached/files/memcached.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"